<!DOCTYPE HTML>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <title>Calculateur du cours de tests OpenClassrooms</title>

    <link rel="stylesheet" th:href="@{webjars/bootstrap/4.6.1/css/bootstrap.min.css}"/>

</head>

<body>

<nav class="navbar navbar-expand-md navbar-dark bg-dark fixed-top">
    <a class="navbar-brand" href="#">Open Calculator</a>
</nav>

<main role="main" class="container">

    <div class="starter-template">
        <h1>Open Calculator</h1>
        <h2>

            <form action="#" th:action="@{/calculator}" th:object="${calculation}" method="post">
                <div class="row">
                    <div class="col">&nbsp;</div>
                </div>
                <div class="row">
                    <div class="col">
                        <input id="left" type="text" th:field="*{leftArgument}" class="form-control" placeholder="First Value">
                    </div>
                    <div class="col">
                        <select id="type" th:field="*{calculationType}" class="form-control form-control-lg">
                            <option value="ADDITION" selected="true"> + </option>
                            <option value="SUBTRACTION" selected="true"> - </option>
                            <option value="MULTIPLICATION"> x </option>
                            <option value="DIVISION"> / </option>
                        </select>
                    </div>
                    <div class="col">
                        <input id="right" type="text" th:field="*{rightArgument}" class="form-control" placeholder="Second Value">
                    </div>
                </div>
                <div class="row">
                    <div class="col">
                        <button id="submit" type="submit" class="btn btn-primary">=</button>

                    </div>
                    <div class="text-danger validation-summary-valid" data-valmsg-summary="true">
                        <ul id="errors" th:if="${#fields.hasErrors('*')}">
                            <li th:each="err : ${#fields.errors('*')}" th:text="${err}">Input is incorrect</li>
                        </ul>
                    </div>
                    <div class="col">
                        <ul th:if="${response}">
                            <span id="solution" th:text="${response.getSolution()}" class="badge">
                                Solution
                            </span>
                        </ul>
                    </div>

                </div>
            </form>

        </h2>
    </div>


</main>
<!-- /.container -->

<script type="text/javascript" th:src="@{webjars/bootstrap/4.3.1/js/bootstrap.min.js}"></script>
</body>
</html>